Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001042Core InformRelationspublic2012-10-29 10:022014-05-07 07:33
Reporterzarf 
Assigned Tograham 
PrioritynormalSeveritymildReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0001042: Backdrops are not "regionally in" their regions
DescriptionThe TestRegionalContainment() routine always returns false when called on a backdrop, so a backdrop never shows up as being regionally-contained in any region. Since backdrops are defined as being in a particular region, this is confusing and strange.

(Implementing this will probably require adding a region property to the backdrop class. Currently it's implemented with an anonymous found_in method, which can only handle checking locations, not regions.)

(If the backdrop is moved (at runtime) to a different description-set of rooms, I guess regional containment should always return false thereafter.)
Minimal Source Text To Reproduce
Reg1 is a region.
The Kitchen is a room in Reg1.
A seagull is a backdrop. It is not scenery. It is in Reg1.

Every turn:
	if the seagull is regionally in Reg1:
		say "It should be.";
TagsNo tags attached.
Effect(serious/mild) Game compiles but misbehaves
Attached Files

- Relationships

-  Notes
(0002562)
graham (administrator)
2014-03-15 05:32

To clarify "X is regionally in R" when X is a backdrop or two-sided door: it's now true if and only if X is in any one of the rooms contained in the region R. (In particular, note that a two-sided door can be regionally in two different regions at once.)

- Issue History
Date Modified Username Field Change
2012-10-29 10:02 zarf New Issue
2012-10-29 12:36 EmacsUser Status new => confirmed
2014-03-15 05:32 graham Note Added: 0002562
2014-03-15 05:32 graham Status confirmed => resolved
2014-03-15 05:32 graham Resolution open => fixed
2014-03-15 05:32 graham Assigned To => graham
2014-05-07 07:32 jmcgrew Fixed in Version => 6L02
2014-05-07 07:33 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker